%define modn   ciopfs
%define modv   0.3


Summary:       A case insensitive filesystem using FUSE
Name:          %{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/System
Source0:       http://www.brain-dump.org/projects/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.2-build.patch
URL:           http://www.brain-dump.org/projects/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Marc Andre Tanner <mat@brain-dump.org>
Provides:      fuse-mod(%{modn}) = %{modv}
Requires:      fuse >= 2.6
BuildRequires: libattr-devel glib2-devel pkgconfig
BuildRequires: fuse-devel >= 2.6
Obsoletes:     fuse-%{modn} < %{version}-%{release}


%description
Ciopfs is a stackable or overlay linux userspace filesystem (implemented
with fuse) which mounts a directory on a regular filesystem in a case
insensitive fashion. 


%prep
%setup -q
%patch0 -p1


%build
export EXTRA_CFLAGS="${RPM_OPT_FLAGS}"

%{__make} #%{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

%{__install} -m 0755 %{modn} ${RPM_BUILD_ROOT}%{_bindir}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/%{modn}


%changelog
* Sat Sep 25 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.3-1
- New version (0.3)
- Renamed package to project name

* Wed Oct 15 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.2-1
- Initial build
